{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "/Users/scox/dev/ros/ros/roscwlapi.py"
            ],
            "doc": "Ros CWL API\n",
            "inputs": [
                {
                    "type": "string",
                    "default": "./kg_output",
                    "doc": "path to output",
                    "inputBinding": {
                        "prefix": "--output",
                        "position": 5
                    },
                    "id": "#roscwlapi.cwl/output"
                },
                {
                    "type": "File",
                    "default": "./kg_question",
                    "doc": "path to input",
                    "inputBinding": {
                        "prefix": "--question",
                        "position": 2
                    },
                    "id": "#roscwlapi.cwl/question"
                },
                {
                    "type": "string",
                    "default": null,
                    "doc": "jsonpath selector into source object",
                    "inputBinding": {
                        "prefix": "--select",
                        "position": 3
                    },
                    "id": "#roscwlapi.cwl/select"
                },
                {
                    "type": "string",
                    "doc": "HTTP endpoint of the service",
                    "inputBinding": {
                        "prefix": "--service",
                        "position": 1
                    },
                    "id": "#roscwlapi.cwl/service"
                },
                {
                    "type": "File",
                    "default": null,
                    "doc": "path to input from prior step",
                    "inputBinding": {
                        "prefix": "--source",
                        "position": 2
                    },
                    "id": "#roscwlapi.cwl/source"
                },
                {
                    "type": "string",
                    "default": null,
                    "doc": "biolink-model type to use from previous source.",
                    "inputBinding": {
                        "prefix": "--type",
                        "position": 4
                    },
                    "id": "#roscwlapi.cwl/type"
                }
            ],
            "id": "#roscwlapi.cwl",
            "outputs": [
                {
                    "type": "File",
                    "doc": "output knowledge graph",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#roscwlapi.cwl/kg_out"
                }
            ]
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/gamma_endpoint"
                },
                {
                    "type": "string",
                    "id": "#main/gamma_filter_val"
                },
                {
                    "type": "File",
                    "id": "#main/gamma_question"
                },
                {
                    "type": "string",
                    "id": "#main/gamma_response"
                },
                {
                    "type": "string",
                    "id": "#main/gamma_select"
                },
                {
                    "type": "string",
                    "id": "#main/icees_endpoint"
                },
                {
                    "type": "File",
                    "id": "#main/icees_question"
                },
                {
                    "type": "string",
                    "id": "#main/icees_response"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/gamma/kg_out",
                    "id": "#main/knowledge_graph"
                }
            ],
            "steps": [
                {
                    "run": "#roscwlapi.cwl",
                    "in": [
                        {
                            "source": "#main/gamma_response",
                            "id": "#main/gamma/output"
                        },
                        {
                            "source": "#main/gamma_question",
                            "id": "#main/gamma/question"
                        },
                        {
                            "source": "#main/gamma_select",
                            "id": "#main/gamma/select"
                        },
                        {
                            "source": "#main/gamma_endpoint",
                            "id": "#main/gamma/service"
                        },
                        {
                            "source": "#main/icees/kg_out",
                            "id": "#main/gamma/source"
                        },
                        {
                            "source": "#main/gamma_filter_val",
                            "id": "#main/gamma/type"
                        }
                    ],
                    "out": [
                        "#main/gamma/kg_out"
                    ],
                    "id": "#main/gamma"
                },
                {
                    "run": "#roscwlapi.cwl",
                    "in": [
                        {
                            "source": "#main/icees_response",
                            "id": "#main/icees/output"
                        },
                        {
                            "source": "#main/icees_question",
                            "id": "#main/icees/question"
                        },
                        {
                            "source": "#main/icees_endpoint",
                            "id": "#main/icees/service"
                        }
                    ],
                    "out": [
                        "#main/icees/kg_out"
                    ],
                    "id": "#main/icees"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
